import { Injectable } from '@angular/core';
import { SingleMenu, DropdownMenu } from '../sidebar/model';

@Injectable({
  providedIn: 'root'
})
export class SidebarService {

  singleMenus: SingleMenu[] = [
    {
      title: 'Dashboard',
      icon: 'fa fa-tachometer-alt',
      active: false,
      link: '/dashboard',
      type: 'single'
    },
  ];
  dropDownMenus: DropdownMenu[] = [
    {
      title: 'Configurations',
      icon: 'fa fa-cogs',
      active: false,
      type: 'dropdown',
      subMenus: [
        {
          title: 'Config One',
          link: '/'
        },
        {
          title: 'Config Two',
          link: '/'
        }
      ]
    },
  ];


  constructor() {
  }

  getSingleMenus() {
    return this.singleMenus;
  }
  getDropDwonMenus() {
    return this.dropDownMenus;
  }

}
